%global build_no ~134~ubuntu15.10.1

Summary:		Conky scripts manager
Name:			conky-manager
Version:		2.3.4
Release:		2%{?dist}
License:		GPLv3+
URL:			http://teejeetech.blogspot.in/p/conky-manager.html
Source0:		https://launchpad.net/~teejee2008/+archive/ppa/+files/%{name}_%{version}%{build_no}.tar.xz
Patch0:			conky-manager-desktopentry-fixer-and-arabizer.patch
Requires:		lm_sensors
Requires:		hddtemp
Requires:		p7zip
Requires:		p7zip-plugins
Requires:		conky
Requires:		ImageMagick
BuildRequires:	vala-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk3-devel
BuildRequires:	gettext
BuildRequires:	libgee-devel
BuildRequires:	json-glib-devel
BuildRequires:	desktop-file-utils

%description
A simple GUI for managing Conky configuration files. Options for changing
themes and running Conky at start up.

%prep
%setup -q -n %{name}-%{version}%{build_no}
%patch0 -p0
sed -i '3d' src/conky-manager.desktop
#Enable debugging:
sed -i 's/valac/valac -g/g' src/makefile

%build
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm %{buildroot}/%{_bindir}/conky-manager-uninstall #Not needed
desktop-file-install \
     --dir=%{buildroot}%{_datadir}/applications \
       src/%{name}.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README TODO
%license COPYING
%{_bindir}/conky-manager
%{_datadir}/applications/conky-manager.desktop
%{_datadir}/appdata/conky-manager.appdata.xml
%{_datadir}/pixmaps/conky-manager.png
%{_datadir}/conky-manager

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 16 2015 Mosaab Alzoubi <moceap@hotmail.com> - 2.3.4-1
- Update to 2.3.4
- Fix #1239408
- Upstream uses xz instead gz
- Improve summary
- Use %%license
- Use gee 0.8 instead 0.6

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Oct 27 2014 Mosaab Alzoubi <moceap@hotmail.com> - 2.3.1-1
- Update to 2.3.1
- Add ImageMagick as a require.
- Static patch name.

* Fri Oct 24 2014 Mosaab Alzoubi <moceap@hotmail.com> - 2.2-3
- Fix typo in %%install.
- Enable debugging.

* Wed Oct 22 2014 Mosaab Alzoubi <moceap@hotmail.com> - 2.2-2
- General revision.

* Sat Sep 27 2014 Mosaab Alzoubi <moceap@hotmail.com> - 2.2-1
- Update to 2.2

* Fri Oct 18 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2.0.1-3
- To zero warnings by rpmlint.
- Some fixes to be compatible with Fedora rules.

* Wed Oct 9 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2.0.1-2
- Some fixes to be compatible with Fedora rules.

* Sun Oct 6 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.2.0.1-1
- Initial build.
